using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http.Headers;
using System.Threading.Tasks;

namespace TelerikAspNetCoreApp162.Controllers
{
    public class HomeController : Controller
    {
        private readonly IWebHostEnvironment environment;

        public HomeController(IWebHostEnvironment environment)
        {
            this.environment = environment;
        }
        public IActionResult Index()
        {
            var guid = Guid.NewGuid();
            return View(guid);
        }

        public ActionResult Chunk_Upload_Save(Guid? id, IEnumerable<IFormFile> files)
        {
            // Custom Logic.

            // Return an empty string to signify success
            return Content("");
        }

        public ActionResult Chunk_Upload_Remove(string[] fileNames)
        {
            // The parameter of the Remove action must be called "fileNames"

            //Custom Logic

            // Return an empty string to signify success
            return Content("");
        }
    }
}